Skip to content
Permalink
Fetching contributors…
Cannot retrieve contributors at this time
148 lines (92 sloc) 3.73 KB

Novedades en Plone 4.2.1

Mas información de las novedades aquí http://plone.org/products/plone/features

4.2 installer update - 2012-07-08

  • Remove osxcontroller support. This only worked on OS X 10.5 & 10.6, which have been out-of-date for over a year.

4.2 - 2012-07-02

  • Adapt to 4.2.
  • --without-lxml is no longer supported, as lxml is required. Option removed.

4.2rc2 - 2012-06-06

  • Adapt to 4.2rc2

4.2rc1 - 2012-05-15

  • Adapt to 4.2rc1.
  • Update Python to 2.7.3. Set PYTHONHASHSEED environment variable to "random".
  • Include an unreleased version of z3c.recipe.staticlxml that applies a patch for CVE-2011-3919. XXX: This should be replaced or removed when unnecessary.

4.2b2 - 2012-02-15

  • Stop bundling zlib/libz. This is a required library on nearly every platform.
  • Adapt to use Python 2.7.x.
  • if --with-python is used, there is no need to check for ssl libraries.

4.2b1 - unreleased

  • Adapt to 4.2b1. 4.1 is now a maintenance branch, 4.2 the master.

4.1.3 - 2011-12-06

  • preflight tool tests were not being skipped when --skip-tool-tests flag was set. This caused the OS X binary installer to fail if gcc was missing.
  • Check for availability of patch program. Fixes #12408.

4.1.3 - 2011-12-01

  • Update to 4.1.3.
  • Allow easy specification of environment variables.
  • Move the version-specific dist specification to the editable section.
  • Add packages/ patch files (but not binaries) to git repo to make sure they're tracked.
  • If sslv2 is not available, apply patch to remove the requirement from the Python build. Fixes problems with python ssl support build on platforms like Ubuntu 11.10 where sslv2 is disabled. Thanks to oggers for researching this.
  • Don't install OSX controller on Lion (no wx).

4.1.2

  • Update to 4.1.2
  • Try to detect libxml2/libxslt if installed; check versions. Only build statically if missing or out-of-date.
  • 4.1 requires ssl (optional with earlier versions). Make it much clearer that this is required. Fixes #12248.
  • Refine some of the dependency tests.
  • Earlier debian multiarch detection code would fail if multiple multiarch directories were present. Fixed, thanks to jgrigera for the solution. issue #12188

4.1 - 20110907

  • Fixes for building on Fedora 15, issue #12103. Removed some configure options that only worked with Python 2.4.x. I don't know why they only caused problems with Fedora 15.

4.1 - 20110830

  • Add --clients=# option to specify # of zeo clients created.
  • Add --with-site-packages option to use virtualenv without the extra isolation.
  • Provide more options to control lxml install.

4.1 - 20110726

  • Adapt to work with OS X 10.7. This mainly involved updating readline and libjpeg to most-current versions.

4.1

  • Update to 4.1

4.1rc3 + Zope-Hotfix-20110622

  • Add Zope-Hotfix-20110622
  • Update to Python 2.6.7, VirtualEnv 1.6.1
  • Fixes to lxml build for root installs. Separate lxml build.

4.1rc3

  • Add lxml with static xml2 and xslt.
  • Add patch for Natty's multiarch. Fixes problem with inability to build Python zlib support when libraries are in /usr/lib/x86_64-linux-gnu.
  • Switched from PIL to Pillow>=1.7.1, as it has support for the nutty natty multiarch paths.

4.1rc2

You can’t perform that action at this time.